package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源对象属性值对象 adm_ems_obj_attr_value
 * 
 * @author ruoyi
 * @date 2024-09-25
 */
public class EmsObjAttrEnum
{
    /** 序号 */
    private Long id;

    /** 模型code */
    private String modelCode;

    /** 属性标识 */
    private String attrKey;

    /** 枚举值 */
    private String attrValue;

    /** 属性值描述 */
    private String attrValueName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getModelCode() {
        return modelCode;
    }

    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    public String getAttrKey() {
        return attrKey;
    }

    public void setAttrKey(String attrKey) {
        this.attrKey = attrKey;
    }

    public String getAttrValue() {
        return attrValue;
    }

    public void setAttrValue(String attrValue) {
        this.attrValue = attrValue;
    }

    public String getAttrValueName() {
        return attrValueName;
    }

    public void setAttrValueName(String attrValueName) {
        this.attrValueName = attrValueName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("modelCode", getModelCode())
            .append("attrKey", getAttrKey())
            .append("attrValue", getAttrValue())
            .append("attrValueName", getAttrValueName())
            .toString();
    }
}
